package shop.alien.storeplatform.service;

import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.result.R;
import shop.alien.storeplatform.entity.StorePlatformStoreStaffConfig;

import java.util.List;

/**
 * 商户平台-员工管理 服务类
 */
public interface StorePlatformStoreStaffConfigService extends IService<StorePlatformStoreStaffConfig>  {

    /**
     * 根据ID查询员工
     */
    StorePlatformStoreStaffConfig getById(Integer id);

    /**
     * 根据门店ID查询员工列表
     */
    List<StorePlatformStoreStaffConfig> getListByStoreId(Integer storeId);

    /**
     * 新增员工
     */
    R<String> saveStaff(StorePlatformStoreStaffConfig staffConfig);

    /**
     * 修改员工
     */
    R<String> updateStaff(StorePlatformStoreStaffConfig staffConfig);

    /**
     * 新增或修改员工
     */
    R<String> saveOrUpdateStaff(StorePlatformStoreStaffConfig staffConfig);

    /**
     * 删除员工
     */
    R<String> deleteStaff(Integer id);

    /**
     * 批量删除员工
     */
    R<String> deleteStaffBatch(List<Integer> ids);
}
